فشل التثبيت على ubuntu 22.04

أحاول تثبيت Discourse على خادم Ubuntu جديد، لكنه لا يعمل. أتبع الدليل الموجود على GitHub

سجل كامل

root@website1-2:/var/discourse# ./discourse-setup
فشل العثور على docker أو docker.io في مسار البحث (PATH).
اضغط Enter لتثبيت Docker من https://get.docker.com/ أو Ctrl+C للخروج
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 21927  100 21927    0     0   137k      0 --:--:-- --:--:-- --:--:--  137k
# تنفيذ سكريبت تثبيت docker، التثبيت: e5543d473431b782227f8908005543bb4389b8de
+ sh -c apt-get update -qq >/dev/null
+ sh -c DEBIAN_FRONTEND=noninteractive apt-get install -y -qq apt-transport-https ca-certificates curl >/dev/null
+ sh -c install -m 0755 -d /etc/apt/keyrings
+ sh -c curl -fsSL "https://download.docker.com/linux/ubuntu/gpg" | gpg --dearmor --yes -o /etc/apt/keyrings/docker.gpg
+ sh -c chmod a+r /etc/apt/keyrings/docker.gpg
+ sh -c echo "deb [arch=amd64 signed-by=/etc/apt/keyrings/docker.gpg] https://download.docker.com/linux/ubuntu jammy stable" > /etc/apt/sources.list.d/docker.list
+ sh -c apt-get update -qq >/dev/null
+ sh -c DEBIAN_FRONTEND=noninteractive apt-get install -y -qq docker-ce docker-ce-cli containerd.io docker-compose-plugin docker-ce-rootless-extras docker-buildx-plugin >/dev/null
+ sh -c docker version
Client: Docker Engine - Community
 Version:           24.0.7
 API version:       1.43
 Go version:        go1.20.10
 Git commit:        afdd53b
 Built:             Thu Oct 26 09:07:41 2023
 OS/Arch:           linux/amd64
 Context:           default

Server: Docker Engine - Community
 Engine:
  Version:          24.0.7
  API version:      1.43 (minimum version 1.12)
  Go version:       go1.20.10
  Git commit:       311b9ff
  Built:            Thu Oct 26 09:07:41 2023
  OS/Arch:          linux/amd64
  Experimental:     false
 containerd:
  Version:          1.6.26
  GitCommit:        3dd1e886e55dd695541fdcd67420c2888645a495
 runc:
  Version:          1.1.10
  GitCommit:        v1.1.10-0-g18a0cb0
 docker-init:
  Version:          0.19.0
  GitCommit:        de40ad0

================================================================================

لتشغيل Docker كمستخدم غير ذي صلاحيات كاملة، فكر في إعداد
شيطان Docker (Docker daemon) في الوضع غير الجذري (rootless mode) لمستخدمك:

    dockerd-rootless-setuptool.sh install

قم بزيارة https://docs.docker.com/go/rootless/ للتعرف على الوضع غير الجذري.


لتشغيل شيطان Docker كخدمة ذات صلاحيات كاملة، ولكن لمنح المستخدمين غير الجذر
الوصول، راجع https://docs.docker.com/go/daemon-access/

تحذير: الوصول إلى واجهة برمجة التطبيقات البعيدة (Remote API) على شيطان Docker ذي الصلاحيات الكاملة يعادل
         الوصول الجذري (root access) على المضيف. راجع وثائق 'سطح هجوم شيطان Docker'
         للتفاصيل: https://docs.docker.com/go/attack-surface/

================================================================================

المنافذ 80 و 443 مجانية للاستخدام
'samples/standalone.yml' -> 'containers/app.yml'
تم العثور على 16 جيجابايت من الذاكرة و 2 نواة معالج فيزيائية
إعداد db_shared_buffers = 4096MB
إعداد UNICORN_WORKERS = 4
تم تحديث معاملات الذاكرة في containers/app.yml.

اسم المضيف الخاص بـ Discourse؟ [discourse.example.com]: discourse.altisliferoleplay.org

جارٍ التحقق من اسم النطاق الخاص بك . . .
اتصال discourse.altisliferoleplay.org نجح.
عنوان البريد الإلكتروني لحسابات المسؤول؟ [me@example.com,you@example.com]: support@alitsliferoleplay.org
عنوان خادم SMTP؟ [smtp.example.com]: smtp-relay.brevo.com
منفذ SMTP؟ [587]:
اسم مستخدم SMTP؟ [user@example.com]: johnwilson.alrp@gmail.com
كلمة مرور SMTP؟ [pa$$word]: 
عنوان البريد الإلكتروني للإشعارات؟ [noreply@discourse.altisliferoleplay.org]:
عنوان البريد الإلكتروني الاختياري لتحذيرات Let's Encrypt؟ (اضغط ENTER للتخطي) [me@example.com]:
مفتاح ترخيص Maxmind الاختياري (اضغط ENTER للمتابعة بدون قاعدة بيانات GeoLite2 الجغرافية من MAXMIND) [1234567890123456]:

هل يبدو هذا صحيحاً؟

اسم المضيف          : discourse.altisliferoleplay.org
البريد الإلكتروني             : support@alitsliferoleplay.org
عنوان SMTP      : smtp-relay.brevo.com
منفذ SMTP         : 587
اسم مستخدم SMTP     : johnwilson.alrp@gmail.com
كلمة مرور SMTP     : 
البريد الإلكتروني للإشعارات: noreply@discourse.altisliferoleplay.org
ترخيص Maxmind: (غير مضبوط)

اضغط ENTER للمتابعة، 'n' للمحاولة مرة أخرى، Ctrl+C للخروج:
letsencrypt.ssl.template.yml مفعّل


تم تحديث ملف التكوين في containers/app.yml بنجاح!

تم التحديث بنجاح. جارٍ إعادة البناء خلال 5 ثوانٍ.
جارٍ بناء التطبيق
تم اكتشاف معمارية x86_64.

تحذير: نحن على وشك بدء تنزيل صورة Discourse الأساسية
قد يستغرق هذا العملية من بضع دقائق إلى ساعة، اعتماداً على سرعة شبكتك

يرجى الصبر

2.0.20231218-0429: جارٍ السحب من discourse/base
b7f91549542c: جارٍ سحب طبقة fs
5cdde94355fe: جارٍ سحب طبقة fs
434a387f7a80: جارٍ سحب طبقة fs
0e5fc7c719a4: في الانتظار
7961e0d55220: في الانتظار
4f4fb700ef54: في الانتظار
8b82d7bdf4f9: في الانتظار
1eed080638e9: في الانتظار
4f538be5ec28: في الانتظار
c1785d501d24: في الانتظار
bd81830e80bd: في الانتظار
827b2e2e3ed5: في الانتظار
8786b6008a7c: في الانتظار
38bde042d779: في الانتظار
6ad6d11f72f0: في الانتظار
625443f7f5de: في الانتظار
91ba136bdf2b: في الانتظار
6cd5f4616e9f: في الانتظار
6d71c539d3d7: في الانتظار
adfdc80b4cd5: في الانتظار
17d7850d477d: في الانتظار
130866fdb8a5: في الانتظار
281e1348fc3a: اكتمل السحب
f1da19761d59: اكتمل السحب
4aeedd43e8bd: اكتمل السحب
cb2c595282ad: اكتمل السحب
35fc9870d600: اكتمل السحب
71238037e7c0: اكتمل السحب
c143b5764eed: اكتمل السحب
906cdb3a6da0: اكتمل السحب
d3527541c22c: اكتمل السحب
a6a16a7e1001: اكتمل السحب
eb6a1c388227: اكتمل السحب
cd562cb91c76: اكتمل السحب
a62b13524252: اكتمل السحب
d510eec47d7a: اكتمل السحب
e9001e5714e9: اكتمل السحب
f827746a2eb4: اكتمل السحب
42b8ce37112e: اكتمل السحب
2d9a732e38ef: اكتمل السحب
15219e09fc41: اكتمل السحب
927c2a1aa345: اكتمل السحب
0c00c50ac00f: اكتمل السحب
45f11782ebad: اكتمل السحب
516206729574: اكتمل السحب
الهامش: sha256:468f70b9bb4c6d0c6c2bbb3efc1a5e12d145eae57bdb6946b7fe5558beb52dc1
الحالة: تم تنزيل صورة أحدث لـ discourse/base:2.0.20231218-0429
docker.io/discourse/base:2.0.20231218-0429
ضمان تحديث launcher
جارٍ جلب الأصل
launcher محدّث
2.0.20231218-0429: جارٍ السحب من discourse/base
الهامش: sha256:468f70b9bb4c6d0c6c2bbb3efc1a5e12d145eae57bdb6946b7fe5558beb52dc1
الحالة: الصورة محدّثة لـ discourse/base:2.0.20231218-0429
docker.io/discourse/base:2.0.20231218-0429
/usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups.rb
/usr/local/bin/pups --stdin
I, [2023-12-25T20:07:27.345506 #1]  INFO -- : قراءة من stdin
I, [2023-12-25T20:07:27.349045 #1]  INFO -- : > locale-gen $LANG && update-locale
I, [2023-12-25T20:07:27.368968 #1]  INFO -- : جارٍ توليد اللغات (قد يستغرق هذا بعض الوقت)...
اكتمل التوليد.

I, [2023-12-25T20:07:27.369100 #1]  INFO -- : > mkdir -p /shared/postgres_run
I, [2023-12-25T20:07:27.371188 #1]  INFO -- :
I, [2023-12-25T20:07:27.371381 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run
I, [2023-12-25T20:07:27.373109 #1]  INFO -- :
I, [2023-12-25T20:07:27.373255 #1]  INFO -- : > chmod 775 /shared/postgres_run
I, [2023-12-25T20:07:27.374765 #1]  INFO -- :
I, [2023-12-25T20:07:27.374891 #1]  INFO -- : > rm -fr /var/run/postgresql
I, [2023-12-25T20:07:27.376553 #1]  INFO -- :
I, [2023-12-25T20:07:27.376686 #1]  INFO -- : > ln -s /shared/postgres_run /var/run/postgresql
I, [2023-12-25T20:07:27.378198 #1]  INFO -- :
I, [2023-12-25T20:07:27.378323 #1]  INFO -- : > socat /dev/null UNIX-CONNECT:/shared/postgres_run/.s.PGSQL.5432 || exit 0 && echo postgres already running stop container ; exit 1
2023/12/25 20:07:27 socat[19] E connect(6, AF=1 "/shared/postgres_run/.s.PGSQL.5432", 36): No such file or directory
I, [2023-12-25T20:07:27.382123 #1]  INFO -- :
I, [2023-12-25T20:07:27.382235 #1]  INFO -- : > rm -fr /shared/postgres_run/.s*
I, [2023-12-25T20:07:27.384252 #1]  INFO -- :
I, [2023-12-25T20:07:27.384359 #1]  INFO -- : > rm -fr /shared/postgres_run/*.pid
I, [2023-12-25T20:07:27.386309 #1]  INFO -- :
I, [2023-12-25T20:07:27.386419 #1]  INFO -- : > mkdir -p /shared/postgres_run/13-main.pg_stat_tmp
I, [2023-12-25T20:07:27.388158 #1]  INFO -- :
I, [2023-12-25T20:07:27.388391 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run/13-main.pg_stat_tmp
I, [2023-12-25T20:07:27.389967 #1]  INFO -- :
I, [2023-12-25T20:07:27.393464 #1]  INFO -- : File > /etc/service/postgres/run  chmod: +x  chown:
I, [2023-12-25T20:07:27.396792 #1]  INFO -- : File > /etc/service/postgres/log/run  chmod: +x  chown:
I, [2023-12-25T20:07:27.400185 #1]  INFO -- : File > /etc/runit/3.d/99-postgres  chmod: +x  chown:
I, [2023-12-25T20:07:27.403531 #1]  INFO -- : File > /root/upgrade_postgres  chmod: +x  chown:
I, [2023-12-25T20:07:27.403782 #1]  INFO -- : > chown -R root /var/lib/postgresql/13/main
I, [2023-12-25T20:07:28.339114 #1]  INFO -- :
I, [2023-12-25T20:07:28.339268 #1]  INFO -- : > [ ! -e /shared/postgres_data ] && install -d -m 0755 -o postgres -g postgres /shared/postgres_data && sudo -E -u postgres /usr/lib/postgresql/13/bin/initdb -D /shared/postgres_data || exit 0
initdb: تحذير: تمكين المصادقة "trust-E -u discourse git clean -f", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [ $(git rev-parse --is-shallow-repository) == \"true\" ]; then\n      git remote set-branches --add origin main\n      git remote set-branches origin $version\n      git fetch --depth 1 origin $version\n  else\n      git fetch --tags --prune-tags --prune --force origin\n  fi\n'", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [[ $(git symbolic-ref --short HEAD) == $version ]] ; then\n      git pull\n  else\n      git -c advice.detachedHead=false checkout $version\n  fi\n'", "sudo -H -E -u discourse git config user.discourse-version $version", "mkdir -p tmp", "chown discourse:www-data tmp", "mkdir -p tmp/pids", "mkdir -p tmp/sockets", "touch tmp/.gitkeep", "mkdir -p                    /shared/log/rails", "bash -c \"touch -a           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log\"", "bash -c \"ln    -s           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log $home/log\"", "bash -c \"mkdir -p           /shared/{uploads,backups}\"", "bash -c \"ln    -s           /shared/{uploads,backups} $home/public\"", "bash -c \"mkdir -p           /shared/tmp/{backups,restores}\"", "bash -c \"ln    -s           /shared/tmp/{backups,restores} $home/tmp\"", "chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp", "[ ! -d public/plugins ] || find public/plugins/ -maxdepth 1 -xtype l -delete"]}
فشل التمهيد مع رمز الخروج 128
** فشل التمهيد ** يرجى التمرير لأعلى والبحث عن رسائل خطأ سابقة، قد يكون هناك أكثر من واحد.
./discourse-doctor قد يساعد في تشخيص المشكلة.
7705f61a6461dbd699a332bc85822051cabd6e8be43f9ab1a9e0a21e782c3065

الوقت الحقيقي    9m22.068s
الوقت المستخدم    0m14.066s
وقت النظام     0m2.455s
root@website1-2:/var/discourse# ^C
root@website1-2:/var/discourse# ^C
root@website1-2:/var/discourse# ^C
root@website1-2:/var/discourse# ./discourse-doctor
طبيب ديسكورس الاثنين 25 ديسمبر 20:17:32 بتوقيت غرينتش 2023
نظام التشغيل: Linux website1-2 6.2.0-1019-gcp #21~22.04.1-Ubuntu SMP Thu Nov 16 18:18:34 UTC 2023 x86_64 x86_64 x86_64 GNU/Linux


تم العثور على containers/app.yml

==================== إعدادات YML ====================
DISCOURSE_HOSTNAME=discourse.altisliferoleplay.org
SMTP_ADDRESS=smtp-relay.brevo.com
DEVELOPER_EMAILS=support@alitsliferoleplay.org
SMTP_PASSWORD=
SMTP_PORT=587
SMTP_USER_NAME=johnwilson.alrp@gmail.com
LETSENCRYPT_ACCOUNT_EMAIL=me@example.com

==================== معلومات Docker ====================
إصدار Docker: Docker version 24.0.7, build afdd53b

عمليات Docker (docker ps -a)

معرف الحاوية   الصورة     الأمر   تم الإنشاء   الحالة    المنافذ     الأسماء

==================== مشكلة خطيرة!!!! ====================
التطبيق لا يعمل!
محاولة إعادة البناء
==================== سجل إعادة البناء ====================
تم اكتشاف معمارية x86_64.
ضمان أن launcher محدث
جلب الأصل
launcher محدث
2.0.20231218-0429: جلب من discourse/base
التلخيص: sha256:468f70b9bb4c6d0c6c2bbb3efc1a5e12d145eae57bdb6946b7fe5558beb52dc1
الحالة: الصورة محدثة لـ discourse/base:2.0.20231218-0429
docker.io/discourse/base:2.0.20231218-0429
/usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups.rb
/usr/local/bin/pups --stdin
I, [2023-12-25T20:17:37.822262 #1]  INFO -- : القراءة من stdin
I, [2023-12-25T20:17:37.826063 #1]  INFO -- : > locale-gen $LANG && update-locale
I, [2023-12-25T20:17:37.845896 #1]  INFO -- : إنشاء اللغات (قد يستغرق هذا بعض الوقت)...
اكتمل الإنشاء.

I, [2023-12-25T20:17:37.846027 #1]  INFO -- : > mkdir -p /shared/postgres_run
I, [2023-12-25T20:17:37.847970 #1]  INFO -- :
I, [2023-12-25T20:17:37.848182 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run
I, [2023-12-25T20:17:37.849867 #1]  INFO -- :
I, [2023-12-25T20:17:37.850042 #1]  INFO -- : > chmod 775 /shared/postgres_run
I, [2023-12-25T20:17:37.851632 #1]  INFO -- :
I, [2023-12-25T20:17:37.851743 #1]  INFO -- : > rm -fr /var/run/postgresql
I, [2023-12-25T20:17:37.853460 #1]  INFO -- :
I, [2023-12-25T20:17:37.853580 #1]  INFO -- : > ln -s /shared/postgres_run /var/run/postgresql
I, [2023-12-25T20:17:37.855091 #1]  INFO -- :
I, [2023-12-25T20:17:37.855204 #1]  INFO -- : > socat /dev/null UNIX-CONNECT:/shared/postgres_run/.s.PGSQL.5432 || exit 0 && echo postgres already running stop container ; exit 1
2023/12/25 20:17:37 socat[19] E connect(6, AF=1 "/shared/postgres_run/.s.PGSQL.5432", 36): No such file or directory
I, [2023-12-25T20:17:37.858828 #1]  INFO -- :
I, [2023-12-25T20:17:37.858940 #1]  INFO -- : > rm -fr /shared/postgres_run/.s*
I, [2023-12-25T20:17:37.860919 #1]  INFO -- :
I, [2023-12-25T20:17:37.861024 #1]  INFO -- : > rm -fr /shared/postgres_run/*.pid
I, [2023-12-25T20:17:37.863023 #1]  INFO -- :
I, [2023-12-25T20:17:37.863137 #1]  INFO -- : > mkdir -p /shared/postgres_run/13-main.pg_stat_tmp
I, [2023-12-25T20:17:37.864814 #1]  INFO -- :
I, [2023-12-25T20:17:37.864991 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run/13-main.pg_stat_tmp
I, [2023-12-25T20:17:37.866592 #1]  INFO -- :
I, [2023-12-25T20:17:37.870099 #1]  INFO -- : File > /etc/service/postgres/run  chmod: +x  chown:
I, [2023-12-25T20:17:37.873445 #1]  INFO -- : File > /etc/service/postgres/log/run  chmod: +x  chown:
I, [2023-12-25T20:17:37.876890 #1]  INFO -- : File > /etc/runit/3.d/99-postgres  chmod: +x  chown:
I, [2023-12-25T20:17:37.880201 #1]  INFO -- : File > /root/upgrade_postgres  chmod: +x  chown:
I, [2023-12-25T20:17:37.880436 #1]  INFO -- : > chown -R root /var/lib/postgresql/13/main
I, [2023-12-25T20:17:38.868404 #1]  INFO -- :
I, [2023-12-25T20:17:38.868545 #1]  INFO -- : > [ ! -e /shared/postgres_data ] && install -d -m 0755 -o postgres -g postgres /shared/postgres_data && sudo -E -u postgres /usr/lib/postgresql/13/bin/initdb -D /shared/postgres_data || exit 0
I, [2023-12-25T20:17:38.870420 #1]  INFO -- :
I, [2023-12-25T20:17:38.870509 #1]  INFO -- : > chown -R postgres:postgres /shared/postgres_data
I, [2023-12-25T20:17:38.875554 #1]  INFO -- :
I, [2023-12-25T20:17:38.875700 #1]  INFO -- : > chown -R postgres:postgres /var/run/postgresql
I, [2023-12-25T20:17:38.877461 #1]  INFO -- :
I, [2023-12-25T20:17:38.877636 #1]  INFO -- : > /root/upgrade_postgres
I, [2023-12-25T20:17:38.880836 #1]  INFO -- :
I, [2023-12-25T20:17:38.880952 #1]  INFO -- : > rm /root/upgrade_postgres
I, [2023-12-25T20:17:38.882445 #1]  INFO -- :
I, [2023-12-25T20:17:38.882666 #1]  INFO -- : استبدال data_directory = '/var/lib/postgresql/13/main' بـ data_directory = '/shared/postgres_data' في /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:17:38.883053 #1]  INFO -- : استبدال (?-mix:#?listen_addresses *=.*) بـ listen_addresses = '*' في /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:17:38.883329 #1]  INFO -- : استبدال (?-mix:#?synchronous_commit *=.*) بـ synchronous_commit = $db_synchronous_commit في /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:17:38.883987 #1]  INFO -- : استبدال (?-mix:#?shared_buffers *=.*) بـ shared_buffers = $db_shared_buffers في /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:17:38.884663 #1]  INFO -- : استبدال (?-mix:#?work_mem *=.*) بـ work_mem = $db_work_mem في /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:17:38.885211 #1]  INFO -- : استبدال (?-mix:#?default_text_search_config *=.*) بـ default_text_search_config = '$db_default_text_search_config' في /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:17:38.885716 #1]  INFO -- : > install -d -m 0755 -o postgres -g postgres /shared/postgres_backup
I, [2023-12-25T20:17:38.887723 #1]  INFO -- :
I, [2023-12-25T20:17:38.888001 #1]  INFO -- : استبدال (?-mix:#?checkpoint_segments *=.*) بـ checkpoint_segments = $db_checkpoint_segments في /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:17:38.888295 #1]  INFO -- : استبدال (?-mix:#?logging_collector *=.*) بـ logging_collector = $db_logging_collector في /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:17:38.888889 #1]  INFO -- : استبدال (?-mix:#?log_min_duration_statement *=.*) بـ log_min_duration_statement = $db_log_min_duration_statement في /etc/postgresql/13/main/postgresql.conf
I, [2023-12-25T20:17:38.889401 #1]  INFO -- : استبدال (?-mix:^#local +replication +postgres +peer$) بـ local replication postgres  peer في /etc/postgresql/13/main/pg_hba.conf
I, [2023-12-25T20:17:38.889640 #1]  INFO -- : استبدال (?-mix:^host.*all.*all.*127.*$) بـ host all all 0.0.0.0/0 md5 في /etc/postgresql/13/main/pg_hba.conf
I, [2023-12-25T20:17:38.889858 #1]  INFO -- : استبدال (?-mix:^host.*all.*all.*::1\/128.*$) بـ host all all ::/0 md5 في /etc/postgresql/13/main/pg_hba.conf
I, [2023-12-25T20:17:38.890210 #1]  INFO -- : > HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main
I, [2023-12-25T20:17:38.891443 #1]  INFO -- : > sleep 5
2023-12-25 20:17:38.958 UTC [42] LOG:  بدء تشغيل PostgreSQL 13.13 (Debian 13.13-1.pgdg110+1) على x86_64-pc-linux-gnu، تم التجميع بواسطة gcc (Debian 10.2.1-6) 10.2.1 20210110، 64-bit
2023-12-25 20:17:38.958 UTC [42] LOG:  الاستماع على عنوان IPv4 "0.0.0.0"، المنفذ 5432
2023-12-25 20:17:38.958 UTC [42] LOG:  الاستماع على عنوان IPv6 "::"، المنفذ 5432
2023-12-25 20:17:38.960 UTC [42] LOG:  الاستماع على المقبس Unix "/var/run/postgresql/.s.PGSQL.5432"
2023-12-25 20:17:38.964 UTC [45] LOG:  تم إيقاف نظام قاعدة البيانات في 2023-12-25 20:10:58 UTC
2023-12-25 20:17:38.968 UTC [42] LOG:  نظام قاعدة البيانات جاهز لقبول الاتصالات
I, [2023-12-25T20:17:43.893101 #1]  INFO -- :
I, [2023-12-25T20:17:43.893368 #1]  INFO -- : > su postgres -c 'createdb discourse' || true
2023-12-25 20:17:43.929 UTC [55] postgres@postgres ERROR:  قاعدة البيانات "discourse" موجودة بالفعل
2023-12-25 20:17:43.929 UTC [55] postgres@postgres STATEMENT:  CREATE DATABASE discourse;
createdb: error: فشل إنشاء قاعدة البيانات: ERROR:  قاعدة البيانات "discourse" موجودة بالفعل
I, [2023-12-25T20:17:43.930541 #1]  INFO -- :
I, [2023-12-25T20:17:43.930841 #1]  INFO -- : > su postgres -c 'psql discourse -c "create user discourse;"' || true
2023-12-25 20:17:43.965 UTC [59] postgres@discourse ERROR:  الدور "discourse" موجود بالفعل
2023-12-25 20:17:43.965 UTC [59] postgres@discourse STATEMENT:  create user discourse;
ERROR:  الدور "discourse" موجود بالفعل
I, [2023-12-25T20:17:43.967147 #1]  INFO -- :
I, [2023-12-25T20:17:43.967381 #1]  INFO -- : > su postgres -c 'psql discourse -c "grant all privileges on database discourse to discourse;"' || true
I, [2023-12-25T20:17:44.001390 #1]  INFO -- : GRANT

I, [2023-12-25T20:17:44.001569 #1]  INFO -- : > su postgres -c 'psql discourse -c "alter schema public owner to discourse;"'
I, [2023-12-25T20:17:44.034405 #1]  INFO -- : ALTER SCHEMA

I, [2023-12-25T20:17:44.034555 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists hstore;"'
NOTICE:  الامتداد "hstore" موجود بالفعل، تم التخطي
I, [2023-12-25T20:17:44.068963 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-25T20:17:44.069141 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists pg_trgm;"'
NOTICE:  الامتداد "pg_trgm" موجود بالفعل، تم التخطي
I, [2023-12-25T20:17:44.102938 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-25T20:17:44.103231 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists vector;"'
NOTICE:  الامتداد "vector" موجود بالفعل، تم التخطي
I, [2023-12-25T20:17:44.136547 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-25T20:17:44.136804 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists hstore;"'
NOTICE:  الامتداد "hstore" موجود بالفعل، تم التخطي
I, [2023-12-25T20:17:44.169333 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-25T20:17:44.169627 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists pg_trgm;"'
NOTICE:  الامتداد "pg_trgm" موجود بالفعل، تم التخطي
I, [2023-12-25T20:17:44.202195 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-25T20:17:44.202350 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists vector;"'
NOTICE:  الامتداد "vector" موجود بالفعل، تم التخطي
I, [2023-12-25T20:17:44.235203 #1]  INFO -- : CREATE EXTENSION

I, [2023-12-25T20:17:44.235447 #1]  INFO -- : > sudo -u postgres psql discourse
I, [2023-12-25T20:17:44.236667 #1]  INFO -- : update pg_database set encoding = pg_char_to_encoding('UTF8') where datname = 'discourse' AND encoding = pg_char_to_encoding('SQL_ASCII');

I, [2023-12-25T20:17:44.273468 #1]  INFO -- : File > /var/lib/postgresql/take-database-backup  chmod: +x  chown: postgres:postgres
I, [2023-12-25T20:17:44.275581 #1]  INFO -- : File > /var/spool/cron/crontabs/postgres  chmod:   chown:
I, [2023-12-25T20:17:44.275661 #1]  INFO -- : > echo postgres installed!
I, [2023-12-25T20:17:44.277162 #1]  INFO -- : تم تثبيت postgres!

I, [2023-12-25T20:17:44.280680 #1]  INFO -- : File > /etc/service/redis/run  chmod: +x  chown:
I, [2023-12-25T20:17:44.284106 #1]  INFO -- : File > /etc/service/redis/log/run  chmod: +x  chown:
I, [2023-12-25T20:17:44.287580 #1]  INFO -- : File > /etc/runit/3.d/10-redis  chmod: +x  chown:
I, [2023-12-25T20:17:44.287758 #1]  INFO -- : استبدال daemonize yes بـ  في /etc/redis/redis.conf
I, [2023-12-25T20:17:44.288183 #1]  INFO -- : استبدال (?-mix:^pidfile.*$) بـ  في /etc/redis/redis.conf
I, [2023-12-25T20:17:44.288516 #1]  INFO -- : > install -d -m 0755 -o redis -g redis /shared/redis_data
I, [2023-12-25T20:17:44.290401 #1]  INFO -- :
I, [2023-12-25T20:17:44.290736 #1]  INFO -- : استبدال (?-mix:^logfile.*$) بـ logfile "" في /etc/redis/redis.conf
I, [2023-12-25T20:17:44.291234 #1]  INFO -- : استبدال (?-mix:^bind .*$) بـ  في /etc/redis/redis.conf
I, [2023-12-25T20:17:44.292358 #1]  INFO -- : استبدال (?-mix:^dir .*$) بـ dir /shared/redis_data في /etc/redis/redis.conf
I, [2023-12-25T20:17:44.293507 #1]  INFO -- : استبدال (?-mix:^protected-mode yes) بـ protected-mode no في /etc/redis/redis.conf
I, [2023-12-25T20:17:44.294570 #1]  INFO -- : استبدال # io-threads 4 بـ io-threads $redis_io_threads في /etc/redis/redis.conf
I, [2023-12-25T20:17:44.295676 #1]  INFO -- : > echo redis installed
I, [2023-12-25T20:17:44.297197 #1]  INFO -- : تم تثبيت redis

I, [2023-12-25T20:17:44.297338 #1]  INFO -- : > cat /etc/redis/redis.conf | grep logfile
I, [2023-12-25T20:17:44.300003 #1]  INFO -- : logfile ""

I, [2023-12-25T20:17:44.300156 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2023-12-25T20:17:44.301361 #1]  INFO -- : > sleep 10
111:C 25 Dec 2023 20:17:44.305 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
111:C 25 Dec 2023 20:17:44.305 # Redis version=7.0.7, bits=64, commit=00000000, modified=0, pid=111, just started
111:C 25 Dec 2023 20:17:44.305 # Configuration loaded
111:M 25 Dec 2023 20:17:44.306 * monotonic clock: POSIX clock_gettime
111:M 25 Dec 2023 20:17:44.306 * Running mode=standalone, port=6379.
111:M 25 Dec 2023 20:17:44.306 # Server initialized
111:M 25 Dec 2023 20:17:44.306 # WARNING Memory overcommit must be enabled! Without it, a background save or replication may fail under low memory condition. Being disabled, it can can also cause failures without low memory condition, see https://github.com/jemalloc/jemalloc/issues/1328. To fix this issue add 'vm.overcommit_memory = 1' to /etc/sysctl.conf and then reboot or run the command 'sysctl vm.overcommit_memory=1' for this to take effect.
111:M 25 Dec 2023 20:17:44.306 * Loading RDB produced by version 7.0.7
111:M 25 Dec 2023 20:17:44.306 * RDB age 406 seconds
111:M 25 Dec 2023 20:17:44.306 * RDB memory usage when created 0.82 Mb
111:M 25 Dec 2023 20:17:44.306 * Done loading RDB, keys loaded: 0, keys expired: 0.
111:M 25 Dec 2023 20:17:44.306 * DB loaded from disk: 0.000 seconds
111:M 25 Dec 2023 20:17:44.307 * Ready to accept connections
I, [2023-12-25T20:17:54.302956 #1]  INFO -- :
I, [2023-12-25T20:17:54.303356 #1]  INFO -- : > thpoff echo "thpoff is installed!"
I, [2023-12-25T20:17:54.306493 #1]  INFO -- : thpoff is installed!

I, [2023-12-25T20:17:54.306661 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_SMTP_ADDRESS"] == "smtp.example.com"; puts "Aborting! Mail is not configured!"; exit 1; end'
I, [2023-12-25T20:17:54.353483 #1]  INFO -- :
I, [2023-12-25T20:17:54.353683 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_HOSTNAME"] == "discourse.example.com"; puts "Aborting! Domain is not configured!"; exit 1; end'
I, [2023-12-25T20:17:54.398993 #1]  INFO -- :
I, [2023-12-25T20:17:54.399215 #1]  INFO -- : > /usr/local/bin/ruby -e 'if (ENV["DISCOURSE_CDN_URL"] || "")[0..1] == "//"; puts "Aborting! CDN must have a protocol specified. Once fixed you should rebake your posts now to correct all posts."; exit 1; end'
I, [2023-12-25T20:17:54.444831 #1]  INFO -- :
I, [2023-12-25T20:17:54.444985 #1]  INFO -- : > rm -f /etc/cron.d/anacron
I, [2023-12-25T20:17:54.446911 #1]  INFO -- :
I, [2023-12-25T20:17:54.449075 #1]  INFO -- : File > /etc/cron.d/anacron  chmod:   chown:
I, [2023-12-25T20:17:54.452738 #1]  INFO -- : File > /etc/runit/1.d/copy-env  chmod: +x  chown:
I, [2023-12-25T20:17:54.456378 #1]  INFO -- : File > /etc/service/unicorn/run  chmod: +x  chown:
I, [2023-12-25T20:17:54.460041 #1]  INFO -- : File > /etc/service/nginx/run  chmod: +x  chown:
I, [2023-12-25T20:17:54.463568 #1]  INFO -- : File > /etc/runit/3.d/01-nginx  chmod: +x  chown:
I, [2023-12-25T20:17:54.467142 #1]  INFO -- : File > /etc/runit/3.d/02-unicorn  chmod: +x  chown:
I, [2023-12-25T20:17:54.467248 #1]  INFO -- : استبدال # postgres بـ sv start postgres || exit 1 في /etc/service/unicorn/run
I, [2023-12-25T20:17:54.467504 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2023-12-25T20:17:54.469197 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse git reset --hard
138:C 25 Dec 2023 20:17:54.473 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
138:C 25 Dec 2023 20:17:54.473 # Redis version=7.0.7, bits=64, commit=00000000, modified=0, pid=138, just started
138:C 25 Dec 2023 20:17:54.473 # Configuration loaded
138:M 25 Dec 2023 20:17:54.473 * monotonic clock: POSIX clock_gettime
138:M 25 Dec 2023 20:17:54.473 # Warning: Could not create server TCP listening socket *:6379: bind: Address already in use
138:M 25 Dec 2023 20:17:54.473 # Failed listening on port 6379 (TCP), aborting.
Updating files: 100% (33715/33715), done.
I, [2023-12-25T20:17:56.399637 #1]  INFO -- : HEAD is now at 6ab1a19e9 DEV: Convert min_trust_level_to_allow_invite to groups (#24893)

I, [2023-12-25T20:17:56.399849 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse git clean -f
I, [2023-12-25T20:17:56.493840 #1]  INFO -- :
I, [2023-12-25T20:17:56.494022 #1]  INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse bash -c '
  set -o errexit
  if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
      git remote set-branches --add origin main
      git remote set-branches origin tests-passed
      git fetch --depth 1 origin tests-passed
  else
      git fetch --tags --prune-tags --prune --force origin
  fi
'
fatal: unable to access 'https://github.com/discourse/discourse.git/': gnutls_handshake() failed: Error in the pull function.
I, [2023-12-25T20:21:09.159357 #1]  INFO -- :
I, [2023-12-25T20:21:09.159911 #1]  INFO -- : Terminating async processes
I, [2023-12-25T20:21:09.159976 #1]  INFO -- : Sending INT to HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main pid: 42
I, [2023-12-25T20:21:09.160015 #1]  INFO -- : Sending TERM to exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf pid: 111
2023-12-25 20:21:09.160 UTC [42] LOG:  received fast shutdown request
111:signal-handler (1703535669) Received SIGTERM scheduling shutdown...
2023-12-25 20:21:09.162 UTC [42] LOG:  aborting any active transactions
2023-12-25 20:21:09.163 UTC [42] LOG:  background worker "logical replication launcher" (PID 51) exited with exit code 1
2023-12-25 20:21:09.164 UTC [46] LOG:  shutting down
2023-12-25 20:21:09.197 UTC [42] LOG:  database system is shut down
111:M 25 Dec 2023 20:21:09.208 # User requested shutdown...
111:M 25 Dec 2023 20:21:09.208 * Saving the final RDB snapshot before exiting.
111:M 25 Dec 2023 20:21:09.210 * DB saved on disk
111:M 25 Dec 2023 20:21:09.210 # Redis is now ready to exit, bye bye...


FAILED
--------------------
Pups::ExecError: cd /var/www/discourse && sudo -H -E -u discourse bash -c '
  set -o errexit
  if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
      git remote set-branches --add origin main
      git remote set-branches origin tests-passed
      git fetch --depth 1 origin tests-passed
  else
      git fetch --tags --prune-tags --prune --force origin
  fi
' failed with return #<Process::Status: pid 146 exit 128>
Location of failure: /usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups/exec_command.rb:132:in `spawn'
exec failed with the params {"cd"=>"$home", "hook"=>"code", "cmd"=>["sudo -H -E -u discourse git reset --hard", "sudo -H -E -u discourse git clean -f", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [ $(git rev-parse --is-shallow-repository) == \"true\" ]; then\n      git remote set-branches --add origin main\n      git remote set-branches origin $version\n      git fetch --depth 1 origin $version\n  else\n      git fetch --tags --prune-tags --prune --force origin\n  fi\n'", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [[ $(git symbolic-ref --short HEAD) == $version ]] ; then\n      git pull\n  else\n      git -c advice.detachedHead=false checkout $version\n  fi\n'", "sudo -H -E -u discourse git config user.discourse-version $version", "mkdir -p tmp", "chown discourse:www-data tmp", "mkdir -p tmp/pids", "mkdir -p tmp/sockets", "touch tmp/.gitkeep", "mkdir -p                    /shared/log/rails", "bash -c \"touch -a           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log\"", "bash -c \"ln    -s           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log $home/log\"", "bash -c \"mkdir -p           /shared/{uploads,backups}\"", "bash -c \"ln    -s           /shared/{uploads,backups} $home/public\"", "bash -c \"mkdir -p           /shared/tmp/{backups,restores}\"", "bash -c \"ln    -s           /shared/tmp/{backups,restores} $home/tmp\"", "chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp", "[ ! -d public/plugins ] || find public/plugins/ -maxdepth 1 -xtype l -delete"]}
bootstrap failed with exit code 128
** FAILED TO BOOTSTRAP ** please scroll up and look for earlier error messages, there may be more than one.
./discourse-doctor may help diagnose the problem.
7a782f1a982bc1b1f900ccdaba74ff113e442401162e2f53250aa4bb7b611d2f
==================== END REBUILD LOG ====================
Failed to rebuild app.

Checking your domain name . . .

Connection to discourse.altisliferoleplay.org succeeded.
You should probably remove any non-standard plugins and rebuild.
Attempting to restart existing container. . .
x86_64 arch detected.

+ /usr/bin/docker run --shm-size=512m -d --restart=always -e LANG=en_US.UTF-8 -e RAILS_ENV=production -e UNICORN_WORKERS=4 -e UNICORN_SIDEKIQS=1 -e RUBY_GC_HEAP_GROWTH_MAX_SLOTS=40000 -e RUBY_GC_HEAP_INIT_SLOTS=400000 -e RUBY_GC_HEAP_OLDOBJECT_LIMIT_FACTOR=1.5 -e DISCOURSE_DB_SOCKET=/var/run/postgresql -e DISCOURSE_DB_HOST= -e DISCOURSE_DB_PORT= -e LETSENCRYPT_DIR=/shared/letsencrypt -e DISCOURSE_FORCE_HTTPS=true -e LC_ALL=en_US.UTF-8 -e LANGUAGE=en_US.UTF-8 -e DISCOURSE_HOSTNAME=discourse.altisliferoleplay.org -e DISCOURSE_DEVELOPER_EMAILS=support@alitsliferoleplay.org -e DISCOURSE_SMTP_ADDRESS=smtp-relay.brevo.com -e DISCOURSE_SMTP_PORT=587 -e DISCOURSE_SMTP_USER_NAME=johnwilson.alrp@gmail.com -e DISCOURSE_SMTP_PASSWORD=-e DISCOURSE_SMTP_DOMAIN=discourse.altisliferoleplay.org -e DISCOURSE_NOTIFICATION_EMAIL=noreply@discourse.altisliferoleplay.org -e LETSENCRYPT_ACCOUNT_EMAIL=me@example.com -h website1-2-app -e DOCKER_HOST_IP=172.17.0.1 --name app -t -p 80:80 -p 443:443 -v /var/discourse/shared/standalone:/shared -v /var/discourse/shared/standalone/log/var-log:/var/log --mac-address 02:2f:d7:8b:2a:ee local_discourse/app /sbin/boot
Unable to find image 'local_discourse/app:latest' locally
docker: Error response from daemon: pull access denied for local_discourse/app, repository does not exist or may require 'docker login': denied: requested access to the resource is denied.
See 'docker run --help'.
Failed to restart the container.


==================== PLUGINS ====================
          - git clone https://github.com/discourse/docker_manager.git

No non-official plugins detected.

See https://github.com/discourse/discourse/blob/main/lib/plugin/metadata.rb for the official list.

========================================
Discourse version at discourse.altisliferoleplay.org: NOT FOUND
Discourse version at localhost: NOT FOUND


==================== MEMORY INFORMATION ====================
RAM (MB): 16757

               total        used        free      shared  buff/cache   available
Mem:           15980         465        9572           1        5943       15176
Swap:              0           0           0

==================== DISK SPACE CHECK ====================
---------- OS Disk Space ----------
Filesystem      Size  Used Avail Use% Mounted on
/dev/root        49G  6.6G   42G  14% /

==================== DISK INFORMATION ====================
Disk /dev/loop0: 63.91 MiB, 67014656 bytes, 130888 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes


Disk /dev/loop1: 355.68 MiB, 372961280 bytes, 728440 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes


Disk /dev/loop2: 111.95 MiB, 117387264 bytes, 229272 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes


Disk /dev/loop3: 40.86 MiB, 42840064 bytes, 83672 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes


Disk /dev/nvme0n1: 50 GiB, 53687091200 bytes, 104857600 sectors
Disk model: nvme_card-pd
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: gpt
Disk identifier: 7948355F-72D1-4BD9-A178-7B0A4D5B967A

Device           Start       End   Sectors  Size Type
/dev/nvme0n1p1  227328 104857566 104630239 49.9G Linux filesystem
/dev/nvme0n1p14   2048     10239      8192    4M BIOS boot
/dev/nvme0n1p15  10240    227327    217088  106M EFI System

Partition table entries are not in disk order.

==================== END DISK INFORMATION ====================

==================== MAIL TEST ====================
For a robust test, get an address from http://www.mail-tester.com/
Or just send a test message to yourself.

Error Message


FAILED
--------------------
Pups::ExecError: cd /var/www/discourse && sudo -H -E -u discourse bash -c '
  set -o errexit
  if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
      git remote set-branches --add origin main
      git remote set-branches origin tests-passed
      git fetch --depth 1 origin tests-passed
  else
      git fetch --tags --prune-tags --prune --force origin
  fi
' failed with return #<Process::Status: pid 146 exit 128>
Location of failure: /usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups/exec_command.rb:132:in `spawn'
exec failed with the params {"cd"=>"$home", "hook"=>"code", "cmd"=>["sudo -H -E -u discourse git reset --hard", "sudo -H -E -u discourse git clean -f", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [ $(git rev-parse --is-shallow-repository) == \"true\" ]; then\n      git remote set-branches --add origin main\n      git remote set-branches origin $version\n      git fetch --depth 1 origin $version\n  else\n      git fetch --tags --prune-tags --prune --force origin\n  fi\n'", "sudo -H -E -u discourse bash -c '\n  set -o errexit\n  if [[ $(git symbolic-ref --short HEAD) == $version ]] ; then\n      git pull\n  else\n      git -c advice.detachedHead=false checkout $version\n  fi\n'", "sudo -H -E -u discourse git config user.discourse-version $version", "mkdir -p tmp", "chown discourse:www-data tmp", "mkdir -p tmp/pids", "mkdir -p tmp/sockets", "touch tmp/.gitkeep", "mkdir -p                    /shared/log/rails", "bash -c \"touch -a           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log\"", "bash -c \"ln    -s           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log $home/log\"", "bash -c \"mkdir -p           /shared/{uploads,backups}\"", "bash -c \"ln    -s           /shared/{uploads,backups} $home/public\"", "bash -c \"mkdir -p           /shared/tmp/{backups,restores}\"", "bash -c \"ln    -s           /shared/tmp/{backups,restores} $home/tmp\"", "chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp", "[ ! -d public/plugins ] || find public/plugins/ -maxdepth 1 -xtype l -delete"]}
bootstrap failed with exit code 128
** FAILED TO BOOTSTRAP ** please scroll up and look for earlier error messages, there may be more than one.
./discourse-doctor may help diagnose the problem.
7a782f1a982bc1b1f900ccdaba74ff113e442401162e2f53250aa4bb7b611d2f

يبدو أنه فشل هنا:

fatal: unable to access 'https://github.com/discourse/discourse.git/': gnutls_handshake() failed: Error in the pull function.

قد يساعدك هذا: Fresh install failing - gnutls_handshake() failed: Error in the pull function - #12 by Sisko